import request from '@/utils/request'



// 获取动态表头
export function getHeaderList(patentTypes,applicantTypes) {

  let params={};
  params.patentTypes=patentTypes;
  params.applicantTypes=applicantTypes;
  console.log('patentTypes:'+patentTypes+',applicantTypes:'+applicantTypes)
  return request({
    url: '/report/rzlClassStatisticsInfo/getHeader',
    method: 'get',
    params: params
  })
}

// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}

// 查询专利公开-分类统计列表
export function listRzgClassStatisticsInfo(query) {
  return request({
    url: '/reportpub/rzgClassStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利公开-分类统计详细
export function getRzgClassStatisticsInfo(id) {
  return request({
    url: '/reportpub/rzgClassStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利公开-分类统计
export function addRzgClassStatisticsInfo(data) {
  return request({
    url: '/reportpub/rzgClassStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利公开-分类统计
export function updateRzgClassStatisticsInfo(data) {
  return request({
    url: '/reportpub/rzgClassStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利公开-分类统计
export function delRzgClassStatisticsInfo(id) {
  return request({
    url: '/reportpub/rzgClassStatisticsInfo/' + id,
    method: 'delete'
  })
}
